package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.util.Date;

/**
 * @Author：liuxinyue
 * @Package：com.muyu.domain
 * @Project：cloud-server
 * @name：SysCarFault
 * @Date：2024/9/22 20:11
 */
@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class SysCarFaultLog{

    /**
     * 主键
     */
    private Integer id;
    /**
     * 故障码
     */
    private String faultCode;
    /**
     * 故障开始时间
     */
    private Date startTime;
    /**
     * 故障结束时间
     */
    private Date endTime;
    /**
     * 车辆VIN码
     */
    private String vin;
}
