package com.muyu.fence.domain.database;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：yuping
 * @Package：com.muyu.fence.domain
 * @Project：cloud-server
 * @name：FenceGroupMid
 * @Date：2024/9/19 21:01
 */
@Tag(name = "围栏组连接表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "fence_group_mid",autoResultMap = true)
public class FenceGroupMid {

    /**
     * 中间表的自增
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    private Long groupId;
    private Long fenceId;
}
