package com.muyu.fence.domain.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Author：yuping
 * @Package：com.muyu.fence.domain.req
 * @Project：cloud-server
 * @name：ElectroicFenceReq
 * @Date：2024/9/17 20:04
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ElectroicFenceListReq {

    /**
     * 围栏名称
     */

    private String name;

    /**
     * 围栏类型（驶入，驶出）
     */

    private String  fenceType;

    /**
     *经纬度信息
     */

    private String longitudeLatitude;

    /**
     * 电子围栏状态（正常，停用）
     */

    private String  status;



    /**
     * 电子围栏的开始时间
     */

    private Date startTime;
    /**
     * 电子围栏的结束时间
     */
    private Date endTime;







}
