package com.muyu.fence.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：yuping
 * @Package：com.muyu.fence.domain.req
 * @Project：cloud-server
 * @name：ElectroicFenceUpdReq
 * @Date：2024/9/17 21:03
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ElectroicFenceUpdReq {


    /**
     * 主键id
     */

    private Long id;

    /**
     * 围栏名称
     */

    private String name;

    /**
     * 围栏类型（驶入，驶出）
     */

    private String  fenceType;

    /**
     *经纬度信息
     */

    private String longitudeLatitude;

    /**
     * 电子围栏状态（正常，停用）
     */

    private String  status;

    /**
     * 描述信息
     */

    private String  fenceDesc;













}
