package com.muyu.fence.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：yuping
 * @Package：com.muyu.fence.domain.req
 * @Project：cloud-server
 * @name：GroupFenceListresp
 * @Date：2024/9/20 9:04
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "围栏组列表")
public class GroupFenceListresp {

    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 围栏组优先级
     */
    private Integer priority;
    /**
     * 围栏组名称
     */
    private String groupName;
    /**
     * 围栏组类型
     */
    private String   groupType;

    /**
     * 启用状态
     */
    private String status;





}
