package com.template.mapper;

import com.template.domain.Template;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author：liuxinyue
 * @Package：com.template.mapper
 * @Project：cloud-server-c
 * @name：TemplateMapper
 * @Date：2024/9/20 12:13
 */
@Mapper
public interface TemplateMapper {
    List<Template> templateList();


    Template findTemplateByName(@Param("typeName") String typeName);

}
